### Method

# Handy SearchBar set_show_close_button

since: 1.0

#### Declaration [src]

    void
    hdy_search_bar_set_show_close_button (
      HdySearchBar* self,
      gboolean visible
    )

#### Description [src]

Shows or hides the close button.

Applications that already have a “search” toggle button should not show a close button in their search bar, as it duplicates the role of the toggle button.

Available since: 1.0

Sets property | `Handy.SearchBar:show-close-button`

#### Parameters

`visible`

  Type: `gboolean`

  Whether the close button will be shown or not.